Download it now!
Bug 74141 - For indentation, in <w:ind> right & left margin gets added even if it is not present in orig doc.
Summary: For indentation, in <w:ind> right & left margin gets added even if it is not ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium normal
Assignee: Tushar Bende
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-28 07:45 UTC by Tushar Bende
Modified: 2015-01-24 12:46 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Original File (12.38 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-28 07:45 UTC, Tushar Bende
Details
RoundTrip Document using LibreOffice (Before Fix) (7.74 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-28 07:45 UTC, Tushar Bende
Details
bothexplicit_implicit_right_ind_positive.docx (Sanity test Document) (12.63 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-03 11:31 UTC, Tushar Bende
Details
no_explicit_implicit_right_indentation.docx(Sanity test Document) (12.59 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-03 11:33 UTC, Tushar Bende
Details
positive_explicit_and_no_implicit_right_indentation.docx (Sanity test Document) (12.62 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-03 11:35 UTC, Tushar Bende
Details
positive_explicit_negative_implicit_right_ind (Sanity test Document) (12.64 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-03 11:35 UTC, Tushar Bende
Details
zero_explicit_and_positive_implicit_right_indentation.docx (Sanity test Document) (12.62 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-03 11:36 UTC, Tushar Bende
Details
list.bullet.indentation_RT_AfterFix (8.16 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-03 13:45 UTC, Tushar Bende
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tushar Bende 2014-01-28 07:45:06 UTC
Created attachment 92905 [details]
Original File

Issue :
For Roundtrip file, for xml tag <w:ind>; 
There should not be any entry for right margin with value zero as it might override an entry from style.xml.  

XML difference : 
- Original file:
<w:ind w:left="562" w:firstLine="0"/>
- Roundtrip file:
<w:ind w:hanging="363" w:right="0" w:left="562"/>
Comment 1 Tushar Bende 2014-01-28 07:45:52 UTC
Created attachment 92906 [details]
RoundTrip Document using LibreOffice (Before Fix)
Comment 2 Tushar Bende 2014-02-03 11:31:42 UTC
Created attachment 93271 [details]
bothexplicit_implicit_right_ind_positive.docx (Sanity test Document)
Comment 3 Tushar Bende 2014-02-03 11:33:53 UTC
Created attachment 93272 [details]
no_explicit_implicit_right_indentation.docx(Sanity test Document)
Comment 4 Tushar Bende 2014-02-03 11:35:38 UTC
Created attachment 93273 [details]
positive_explicit_and_no_implicit_right_indentation.docx (Sanity test Document)
Comment 5 Tushar Bende 2014-02-03 11:35:57 UTC
Created attachment 93274 [details]
positive_explicit_negative_implicit_right_ind (Sanity test Document)
Comment 6 Tushar Bende 2014-02-03 11:36:33 UTC
Created attachment 93275 [details]
zero_explicit_and_positive_implicit_right_indentation.docx (Sanity test Document)
Comment 7 Tushar Bende 2014-02-03 13:45:25 UTC
Created attachment 93286 [details]
list.bullet.indentation_RT_AfterFix
Comment 8 Tushar Bende 2014-02-03 13:47:01 UTC
pushed code changes for review review Link : 

https://gerrit.libreoffice.org/#/c/7816/
Comment 9 Commit Notification 2014-02-13 16:44:22 UTC
Tushar Bende committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9809c68f62af3b594854b142e1db5171804158d

fdo#74141 :In <w:ind> Right margin gets added even if not present in orig doc.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.